## org.apache.lucene.queryParser.surround.query
Class ComposedQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.ComposedQuery

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AndQuery, DistanceQuery, NotQuery, OrQuery

    public abstract class ComposedQuery

extends SrndQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`ComposedQuery(java.util.List qs, boolean operatorInfix, java.lang.String opName)`

Method Summary
`protected java.lang.String` `getBracketClose()`
`protected java.lang.String` `getBracketOpen()`
`int` `getNrSubQueries()`
`java.lang.String` `getOperatorName()`
`protected java.lang.String` `getPrefixSeparator()`
`java.util.Iterator` `getSubQueriesIterator()`
`SrndQuery` `getSubQuery(int qn)`
`protected void` `infixToString(java.lang.StringBuffer r)`
`boolean` `isFieldsSubQueryAcceptable()`
`boolean` `isOperatorInfix()`
`java.util.List` `makeLuceneSubQueriesField(java.lang.String fn, BasicQueryFactory qf)`
`protected void` `prefixToString(java.lang.StringBuffer r)`
`protected void` `recompose(java.util.List queries)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, makeLuceneQueryFieldNoBoost, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComposedQuery

    public ComposedQuery(java.util.List qs,
                         boolean operatorInfix,
                         java.lang.String opName)

Method Detail

### recompose

    protected void recompose(java.util.List queries)

### getOperatorName

    public java.lang.String getOperatorName()

### getSubQueriesIterator

    public java.util.Iterator getSubQueriesIterator()

### getNrSubQueries

    public int getNrSubQueries()

### getSubQuery

    public SrndQuery getSubQuery(int qn)

### isOperatorInfix

    public boolean isOperatorInfix()

### makeLuceneSubQueriesField

    public java.util.List makeLuceneSubQueriesField(java.lang.String fn,
                                                    BasicQueryFactory qf)

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `SrndQuery`

### getPrefixSeparator

    protected java.lang.String getPrefixSeparator()

### getBracketOpen

    protected java.lang.String getBracketOpen()

### getBracketClose

    protected java.lang.String getBracketClose()

### infixToString

    protected void infixToString(java.lang.StringBuffer r)

### prefixToString

    protected void prefixToString(java.lang.StringBuffer r)

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.